#!/bin/bash

# Script to install binarycpython in the current venv
VERSION_NUMBER=$(cat "VERSION")
echo "installing binarcpython version $VERSION_NUMBER"

# Clean up all the stuff from before
python3 setup.py clean --all

# Go into a directory that doesnt contain 'binarycpython' so pip will uninstall the one in the venv, not the local one.
cd src
pip3 uninstall -y binarycpython
cd ../

# Create build, sdist and install it into the venv
python3 setup.py build --force
python3 setup.py sdist
pip3 install -v dist/binarycpython-$VERSION_NUMBER.tar.gz
